
Redmine - Defect #25733
Messages get bounced
2017-05-02 09:30 - Rene H

Status: Closed Start date:
Priority: High Due date:
Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version:
Resolution: No feedback Affected version: 3.3.1
Description

I found out we seem to have a problem with incoming emails not being updated into redmine. Our setup goes via Google Apps, and
the messages get forwarded to our postfix-server:

user sends message to support@ourdomain.tld that is handled by googlel apps. The message get's routed back to our
redmine-server that responds on support-add@redmineserver.ourdomain.tld

In postfix i have configured an alias that runs the rdm-mailhandler.rb

/usr/local/rvm/rubies/ruby-2.3.0/bin/ruby /etc/postfix/rdm-mailhandler.rb \
--project support   \
--tracker New issues \
--unknown-user create \
--no-permission-check \
--no-check-certificate \
--url https://redmineserver.ourdomain.tld \
--key [randomstuff] \
--allow-override all \
--no-account-notice \
--default-group Support

I still get though the following error

"permission denied. Command output: Request was denied by your Redmine server. Possible reasons: email is sent from an
invalid email address or is missing some information" 

This is my currentn setup

Environment:
  Redmine version                3.3.1.stable
  Ruby version                   2.3.0-p0 (2015-12-25) [x86_64-linux]
  Rails version                  4.2.7.1
  Environment                    production
  Database adapter               PostgreSQL
SCM:
  Subversion                     1.6.11
  Git                            1.7.1
  Filesystem                     
Redmine plugins:
  accept                         0.0.2
  issue_mail_with_attachments    0.1.0

2022-01-28 1/2

mailto:support@ourdomain.tld
mailto:support-add@redmineserver.ourdomain.tld


  redmine_autoclose              0.0.4
  redmine_close_button           0.0.8
  redmine_default_assign         0.6
  redmine_gc_sync                1.0.0
  redmine_mail_reminder          3.0.0.0001
  redmine_pretend                2.0.1
  redmine_tweaks                 1.0.0

History
#1 - 2017-05-14 09:37 - Toshi MARUYAMA
- Status changed from New to Needs feedback

What is your Redmine log?

#2 - 2019-02-09 17:01 - Go MAEDA
- Status changed from Needs feedback to Closed
- Resolution set to No feedback

#3 - 2019-02-21 18:37 - Rob Spearman

I am having the same problem.  I looked in the production log and I see the error:

MailHandler: ignoring email from unknown user []

But this is for an email from myself and I am a valid user on the project and Redmine admin as well.  Sometimes my emails work, but most of the time
I see this error and my email is bounced back.

I see nothing obviously odd about the emails that work versus those that do not.

I am running Redmine 3.2.8 but otherwise same Ruby and Rails as on this issue.  I did not see any closed issues on this topic but I could try
upgrading.  Let me know if I should open a separate issue.
